#
# spec file for package mozo
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 1.20
Name:           mozo
Version:        1.20.0
Release:        lp151.2.2
Summary:        MATE Desktop menu editor
License:        LGPL-2.1-or-later
Group:          System/GUI/Other
Url:            https://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  gobject-introspection-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  mate-common >= %{_version}
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(libmate-menu) >= %{_version}
BuildRequires:  pkgconfig(pygobject-3.0)
Requires:       mate-menus >= %{_version}
Recommends:     %{name}-lang
# mate-menu-editor was last used in openSUSE 13.1.
Provides:       mate-menu-editor = %{version}
Obsoletes:      mate-menu-editor < %{version}
Obsoletes:      mate-menu-editor-lang < %{version}
BuildArch:      noarch
%if 0%{?suse_version} >= 1500
Requires:       python2-gobject
Requires:       python2-gobject-Gdk
Requires:       python2-mate-menus >= %{_version}
%else
Requires:       python-gobject
Requires:       python-gobject-Gdk
Requires:       python-mate-menus >= %{_version}
%endif

%description
This package provides Mozo, a menu editor for the MATE Desktop,
using the freedesktop.org menu specification.

%lang_package

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure
make %{?_smp_mflags} V=1

%install
%make_install

%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}%{python_sitelib}/
%suse_update_desktop_file %{name}

%if 0%{?suse_version} < 1500
%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%if 0%{?suse_version} >= 1500
%license COPYING
%else
%doc COPYING
%endif
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{python_sitelib}/Mozo/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_mandir}/man?/%{name}.?%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Fri Mar  9 2018 sor.alexei@meowr.ru
- Update to version 1.20.0:
  * Update translations.
* Tue Mar 14 2017 sor.alexei@meowr.ru
- Update to version 1.18.0:
  * NEWS: Use consistent, project wide, markdown-like formatting to
    make generating release announcements easier.
  * Update translations.
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Add Properties and Delete buttons.
  * Fix several drag-and-drop issues.
  * Fix a crash when .desktop file has slash in the name.
  * Some more fixes and cleanups.
  * Update translations.
- Remove mozo-gtk3.10.patch.
* Wed Aug 24 2016 sor.alexei@meowr.ru
- Update to version 1.14.1:
  * Fix a crash and erasing of the menu file when processing
    non-ASCII characters.
  * Fix a crash on invalid XML file.
  * Always encode with UTF-8 before writing the XML file.
  * Update translations.
* Wed May  4 2016 sor.alexei@meowr.ru
- Add a missing python-gobject-Gdk dependency.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Update translations.
  * Fix Changelog generation.
* Sat Mar  5 2016 sor.alexei@meowr.ru
- Update to version 1.13.1:
  * Move to GTK+3 and GObject Introspection, drop old
    PyGTK+-related code.
- Add mozo-gtk3.10.patch: add support for Gtk 3.10 (SLE 12 and
  openSUSE 13.1).
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to version 1.13.0.
* Mon Jan 11 2016 sor.alexei@meowr.ru
- Add missing mate-menus dependency.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0:
  * Enable startup notification.
  * Add silent rules.
  * Some bugfixes.
* Wed Jul 23 2014 sor.alexei@meowr.ru
- Update to 1.10.1:
  * Fix wrong highlighting while moving menu items when separators
    are present.
  * Remove deprecated GTK properties.
  * Fix help link.
* Tue May 20 2014 sor.alexei@meowr.ru
- Update to 1.10.0:
  * Update translations.
- Spec cleanup.
* Mon Mar 10 2014 cfarrell@suse.com
- license update: LGPL-2.1+
  No indication of any GPL-2.0+ licensed files in the package. COPYING is
  LGPL-2.1+
* Mon Mar 10 2014 p.drouand@gmail.com
- Add a Obsoletes tag to avoid conflicts with mate-menu-editor
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Sat Feb 15 2014 p.drouand@gmail.com
- Initial release (version 1.7.0)
